globus_generic_error_api(3)

NAME
globus_generic_error_api - Globus Generic Error API

 - Globus Generic Error API.

SYNOPSIS

  Topics

Error Construction
Error Construction.
Error Data Accessors and Modifiers
Error Data Accessors and Modifiers.
Error Handling Helpers
Error Handling Helpers.

Detailed Description

Globus Generic Error API.

These globus_error functions are motivated by the desire to provide a easier way of generating new error types, while at the same time preserving all features (e.g. memory management, chaining) of the current error handling framework. It does this by defining a generic error type for globus which in turn contains a integer in it's instance data which is used for carrying the actual error type information.

Any program that uses Globus Generic Error functions must include "globus_common.h".

Author

Generated automatically by Doxygen for globus_common from the source code.